package com.r11.tools.controller;

import lombok.SneakyThrows;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;

/**
 * Class responsible for returning homepage html
 * @author Gabriel Modzelewski
 */
@Controller
@RequestMapping("/")
public class MainController {
    /**
     * Default path to get the homepage
     * @return the view of homepage
     */
    @SneakyThrows
    @GetMapping
    public ModelAndView showHome(){
        ModelAndView mov = new ModelAndView();
        mov.setViewName("html/mock");
        return mov;
    }
}
